package com.xyhy.jiaranmqttcluster.common.mqtt;

import com.alibaba.fastjson.JSONObject;

import com.xyhy.jiaranmqttcluster.common.Common;
import com.xyhy.jiaranmqttcluster.common.message.MessageHandle;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.springframework.stereotype.Component;

@Component
public class MqttGetMessage extends Common implements MqttCallback {


    @Override
    public void connectionLost(Throwable throwable) {
        log.error("MQTT连接已经断开！");
    }

    @Override
    public void messageArrived(String s, MqttMessage mqttMessage) throws Exception {
        JSONObject msg = JSONObject.parseObject(new String(mqttMessage.getPayload()));
        String msgType = msg.getString("msgType");
        switch (msgType){
            case "1":
                MessageHandle.vehicleOnline(s, msg);
            case "2":
                MessageHandle.vehicleOffline(s, msg);
            case "3":
                MessageHandle.fuelState(s, msg);
            case "4":
                MessageHandle.vehicleState(s, msg);
            case "19":
                MessageHandle.arriveStationRequest(s, msg);
            case "102":
                MessageHandle.arrivePoint(s, msg);
            case "103":
                MessageHandle.leavePoint(s, msg);
            case "101":
                MessageHandle.gotoPoint(s, msg);
            case "800":
                MessageHandle.taskBegin(s, msg);
            case "801":
                MessageHandle.taskOver(s, msg);
            case "501":
                MessageHandle.startCarFailMsg(s, msg);
        }
    }

    @Override
    public void deliveryComplete(IMqttDeliveryToken iMqttDeliveryToken) {

    }
}
